import * as React from 'react';
import styles from './Example.module.scss';
import { css } from "@uifabric/utilities/lib/css";
import { TextField } from 'office-ui-fabric-react';
export var Example = function (props) {
    var _a = React.useState(""), controlValue = _a[0], setControlValue = _a[1];
    var handleChange = React.useCallback(function (e, newValue) { return setControlValue(newValue); }, []);
    return (React.createElement("div", { className: css(styles.example, props.className) },
        React.createElement(TextField, { label: "Example Control v2", value: controlValue, onChange: handleChange }),
        React.createElement("div", { className: styles.value },
            "Example Control Value: ",
            controlValue)));
};
//# sourceMappingURL=Example.js.map