import * as React from 'react';
export interface ISortOptions {
    field: string;
    isSortedDescending: boolean;
}
export interface ISortingAndFilteringContext {
    sortOptions: ISortOptions;
    onColumnClick: (e: any, column: {
        fieldName?: string;
    }) => void;
    filterText: string;
    clearFilterText: (e: any) => void;
    updateFilterText: (e: any, newValue?: string) => void;
}
export declare const SortingAndFilteringContext: React.Context<ISortingAndFilteringContext>;
export interface ISortingAndFilteringProps {
}
export declare const SortingAndFiltering: React.FunctionComponent<ISortingAndFilteringProps>;
export declare const useSortingAndFiltering: () => ISortingAndFilteringContext;
//# sourceMappingURL=SortingAndFiltering.d.ts.map